VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
IViewContainerListener Class Referenceabstract

ViewContainer Listener Interface. More...

`#include <iviewlistener.h>`

Inheritance diagram for IViewContainerListener:

## Public Member Functions
virtual | ~IViewContainerListener () noexcept=default
virtual void | viewContainerViewAdded (CViewContainer *container, CView *view)=0
| called when a new view was added to the container More...
virtual void | viewContainerViewRemoved (CViewContainer *container, CView *view)=0
| called when a view was removed from the container More...
virtual void | viewContainerViewZOrderChanged (CViewContainer *container, CView *view)=0
| called when a view's z-order changed inside the container More...
virtual void | viewContainerTransformChanged (CViewContainer *container)=0
| called when the transform matrix of the container changed More...

## Detailed Description

ViewContainer Listener Interface.

## Constructor & Destructor Documentation

## ◆ ~IViewContainerListener()

virtual ~IViewContainerListener | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

## ◆ viewContainerTransformChanged()

virtual void viewContainerTransformChanged | ( | CViewContainer * | container | ) |
| pure virtual

called when the transform matrix of the container changed

Implemented in CLayeredViewContainer, and ViewContainerListenerAdapter.

## ◆ viewContainerViewAdded()

virtual void viewContainerViewAdded | ( | CViewContainer * | container,
|  | CView * | view
| ) |  |
| pure virtual

called when a new view was added to the container

Implemented in CShadowViewContainer, and ViewContainerListenerAdapter.

## ◆ viewContainerViewRemoved()

virtual void viewContainerViewRemoved | ( | CViewContainer * | container,
|  | CView * | view
| ) |  |
| pure virtual

called when a view was removed from the container

Implemented in CShadowViewContainer, and ViewContainerListenerAdapter.

## ◆ viewContainerViewZOrderChanged()

virtual void viewContainerViewZOrderChanged | ( | CViewContainer * | container,
|  | CView * | view
| ) |  |
| pure virtual

called when a view's z-order changed inside the container

Implemented in CShadowViewContainer, and ViewContainerListenerAdapter.

The documentation for this class was generated from the following file:

- iviewlistener.h